App says StellarMate OS version is too old, how do I get the new one?

Starting with StellarMate App v1.9.11+, you need to have StellarMate OS v1.4.2.

This version cannot be upgraded by the software updater. You must download the StellarMate OS image file and use Etcher to burn it to the SD card as per the instructions.

  • If you purchased StellarMate OS or StellarMate Controller before from stellarmate.com store, then you can download the latest StellarMate OS from your orders page.
  • If you purchased StellarMate Controller from a distributor, send an email to support@stellarmate.com with a copy of your purchase recipt and the device serial number to get access to StellarMate OS downloads.